version: '3.3'

services:
  uptimek:
    image: louislam/uptime-kuma:1
    container_name: uptime-kuma
    volumes:
      - ${HOME_DIR}/${CONTAINER_NAME}:/app/data
      - ${DOCKER_SOCK}:/var/run/docker.sock:ro
    ports:
      - ${PORT_HTTP}:3001
    env_file:
      - path: ./uptimekuma.env
        required: true
      - path: ../global.env
        required: true
    environment:
      - TZ=${TIMEZONE}
    restart: unless-stopped
